<? /* -------------Biography-------------- */ ?>
<? $this->headTitle('Biography', 'APPEND'); $defines = Zend_Registry::get('defines') ?>
<? function ___date_to_age ($timestamp) {
	if ( $timestamp === false || is_null($timestamp) ) return null;
	list($year, $month, $day) = explode('-', date('Y-m-d', $timestamp));
	$year_diff  = date("Y") - $year;
	$month_diff = date("m") - $month;
	$day_diff   = date("d") - $day;
	if ($day_diff < 0 || $month_diff < 0)
		$year_diff--;
	return $year_diff;
}
$system = ROYAL_SYSTEM == Cubix_Application::getById()->measure_units ? ROYAL_SYSTEM : METRIC_SYSTEM ?>

<style type="text/css">
input.loading {
	background: url('<?= _st('internal/ajax-loader.gif') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}

input.valid {
	background: url('<?= _st('internal/icon_ok.png') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}

input.invalid {
	background: url('<?= _st('internal/icon_error.png') ?>') no-repeat 99% 50% !important;
	padding-right: 5px !important;
}
</style>
<script type="text/javascript">
	window.addEvent('domready', function(){
		<? /*$('showname').addEvent('blur', function() {
			this.addClass('loading');
			this.removeClass('valid');
			this.removeClass('invalid');

			new Request({
				url: "/<?= $this->lang() ?>/private-v2/exists-by-showname?showname=" + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					var resp = JSON.decode(resp);

					this.removeClass('loading');

					if ( resp.status == 'true' ) {
						this.addClass('invalid');
						this.removeClass('valid');
					}
					else if ( resp.status == 'false' ) {
						this.addClass('valid');
						this.removeClass('invalid');
					}
				}.bind(this)
			}).send();
		});*/ ?>
	});
</script>


<script type="text/javascript" src="<?= _st('Autocompleter.js') ?>"></script>
<script type="text/javascript">
	window.addEvent('domready', function () {
		if($('home_city')){
			var home_city = $('home_city');
		
			new Autocompleter.Request.JSON(home_city, '/geography/ajax-home-cities-search?lng=<?= $this->lang(); ?>', {
				postVar: 'city_search_name',
				indicatorClass: 'autocompleter-loading'
			}).addEvent('onSelection', function (element, selected, value, home_city) {
				$('home_city_h').set('value', selected.inputValue.id);
			});

			home_city.addEvent('blur', function(){
				if ( ! this.get('value') ) {
					$('home_city_h').set('value', '');
				}
				//console.log($('home_city_h').get('value'));
			});
		}
		
	});
</script>

<fieldset>
	<legend><?= __('pv2_section_basic_bio') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner">
			<label for="showname"><?= __('pv2_label_showname') ?> <b>*</b></label>
			<input id="showname" class="txt" type="text" name="showname" value="<?= $this->data['showname'] ?>" size="40" <?= $this->has_active_package ? "readonly='readonly'" : '' ?>/>
			<span class="tip" title="<?= __('pv2_tip_showname') ?>"></span>
			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="slogan"><?= __('pv2_label_slogan') ?></label>
			<input id="slogan" class="txt" type="text" maxlength="20" name="slogan" value="<?= $this->slogan ?>" size="40" />

			<span class="tip" title="<?= __('pv2_tip_slogan') ?>"></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('pv2_label_gender') ?> <b>*</b></label>
			<dl class="options">
				<? foreach ( $defines['gender_options'] as $i => $gender ): ?>
				<dt>
					<label for="gender-<?= $i ?>"><?= $gender ?></label><br/>
					<input id="gender-<?= $i ?>" type="radio" name="gender" value="<?= $i ?>"<?= $i == $this->data['gender'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<? $age = ___date_to_age($this->data['birth_date']); ?>
			<label for="age"><?= __('pv2_label_age') ?></label>
			<select id="age" name="age">
				<option value="">-</option>
			<? for ( $i = 18; $i <= 60; $i++ ): ?>
				<option value="<?= $i ?>"<?= $age == $i ? ' selected="selected"' : '' ?><?= $age == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor ?>
			</select>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label><?= __('pv2_label_ethnicity') ?></label>
			<dl class="options">
				<? foreach ( $defines['ethnic_options'] as $i => $ethnicity ): ?> 
				<dt>
					<label for="ethnicity-<?= $i ?>"><?= $ethnicity ?></label><br/>
					<input id="ethnicity-<?= $i ?>" type="radio" name="ethnicity" value="<?= $i ?>"<?= $i == $this->data['ethnicity'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="nationality"><?= __('pv2_label_nationality') ?></label>
			<select id="nationality" name="nationality_id">
				<option value="">-</option>
			<? $model = new Model_Escorts(); foreach ( $model->getNationalityOptions() as $nationality ): ?>
				<option value="<?= $nationality->id ?>"<?= $this->data['nationality_id'] == $nationality->id ? ' selected="selected"' : '' ?>><?= $nationality->title ?>&nbsp;&nbsp;</option>
			<? endforeach; ?>
			</select>

			<div class="clear"></div>
		</div>
		<? /*
		<div class="inner">
			<label for="home_city"><?= __('pv2_label_home_city') ?> <!--<b>*</b>--></label>
			<input type="text" name="home_city_a" id="home_city" value="<?= $this->home_city_country ?>" class="txt a-search" />
			<input type="hidden" name="home_city_id" id="home_city_h" value="<?= $this->data['home_city_id'] ?>" />

			<span class="tip" title="<?= __('pv2_tip_home_city') ?>"></span>

			<div class="clear"></div>
			
		</div>
		*/ ?>
	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_section_vital_statistics') ?></legend>
	<div class="body">
		<? /* <input type="hidden" name="measure_units" value="<?= $system ?>" />
		<? if ( METRIC_SYSTEM == $system ): ?>
		<p class="attention"><?= __('pv2_text_change_metric_system_to_royal') ?></p>
		<? elseif ( ROYAL_SYSTEM == $system ): ?>
		<p class="attention"><?= __('pv2_text_change_metric_system_to_metric') ?></p>
		<? endif ?> */ ?>
		<div class="inner">
			<label for="height"><?= __('pv2_label_height') ?></label>
			<? $height = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['height'], 'cm', 'ftin') : $this->data['height'] ?>
			<select id="height" name="height">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['height'] as $i ): ?>
				<option value="<?= htmlentities($i) ?>"<?= $height == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>
			<span class="units"><?= ROYAL_SYSTEM == $system ? 'feet\' inch"' : 'cm' ?></span>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label for="weight"><?= __('pv2_label_weight') ?></label>
			<? $weight = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['weight'], 'kg', 'lbs') : $this->data['weight'] ?>
			<select id="weight" name="weight">
				<option value="">-</option>
			<? foreach ( $this->defines['biography'][$system]['weight'] as $i ): ?>
				<option value="<?= $i ?>"<?= $weight == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
			<? endforeach ?>
			</select>
			<span class="units"><?= ROYAL_SYSTEM == $system ? 'lbs' : 'kg' ?></span>

			<div class="clear"></div>
		</div>
		
		<div class="inner">
			<label><?= __('pv2_label_pubic_hair') ?></label>
			<dl class="options">
				<? foreach ( $defines['pubic_hair_options'] as $i => $hair ): ?>
				<dt>
					<label for="pubic-hair-<?= $i ?>"><?= $hair ?></label><br/>
					<input id="pubic-hair-<?= $i ?>" type="radio" name="pubic_hair" value="<?= $i ?>"<?= $i == $this->data['pubic_hair'] ? ' checked="checked"' : '' ?> />
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>
	</div>
</fieldset>

<? /* ---------------------------About-me------------------------------- */ ?>
<? $this->headScript()
		->appendFile('/js/tiny_mce/tiny_mce.js', 'text/javascript')
		->appendFile(_st('private-about-me.js'), 'text/javascript');
?>
<?php
if(!function_exists('render_lng_picker')){
	function render_lng_picker() {
		$html = '<div class="lng-picker">';

		foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $id => $title ) {
			$html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
		}

		$html .= '</div>';

		return $html;
	}
}
?>



<fieldset class="vindent">
	<legend><?= __('pv2_section_about_me') ?></legend>
	<div class="body">
		<div class="inner">
			<?= render_lng_picker() ?>
			<span class="tip" title="<?= __('pv2_tip_about_me') ?>"></span>
			<div class="clear"></div>
		</div>

		<div class="inner">
		<? foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $lng => $title ): ?>
			<div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
				<textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" cols="80" rows="10"><?= $this->data['about_' . $lng] ?></textarea>
			</div>
		<? endforeach ?>
		</div>
	</div>
</fieldset>

<? /* ----------Biograpy-end--------------- */ ?>

<? /* ----------Working-cities------------- */ ?>
<style type="text/css">
	.base-city { font-weight: bold }
	fieldset.region-cities {
		float:left; 
		width: 250px;
		padding: 10px 0 0 10px;
		margin-left: 5px;
		min-height: 380px;
	}
	.region-cities li {
		list-style-type: none;
		line-height: 2.5em;
	}
	.region-cities label {
		width: auto !important;
		cursor: pointer;
	}
	.region-cities li input {
		margin-right: 20px;
	}
</style>
<script type="text/javascript">
	window.addEvent('domready', function() {
		$$('input[name=cities]').addEvent('change', function(){
			$$('input[name=city_id]').set('value', $(this).get('value'));
		});
	})
</script>
<?/*<script type="text/javascript">
	var ajaxCities = function () {
		var c = $('country').getSelected()[0], ct = $('cities');

		ct.empty();
		$('selected').empty();
		$('selected-hidden').empty();

		if ( $defined($('cityzones_wrp')) ) {
			$('cityzones_wrp').setStyle('display', 'none');
		}
		if ( $defined($('cityzones')) ) {
			$('cityzones').empty();
		}
		if ( $defined($('selected-z')) ) {
			$('selected-z').empty();
		}
		if ( $defined($('selected-hidden-z')) ) {
			$('selected-hidden-z').empty();
		}

		c.set('disabled', 'disabled');
		ct.set('disabled', 'disabled');
		new Request({m
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities-grouped',
			data: { country_id: c.get('value') },
			onSuccess: function (html) {
				ct.set('html', html);
				c.set('disabled', null);
				ct.set('disabled', null);
			}
		}).send();
	};

	window.addEvent('domready', function () {
		//ajaxCities();
	});
</script>*/?>
<fieldset class="vindent">
	<legend><?= __('pv2_section_working_locations') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner">
			<input name="country_id" value="<?= Cubix_Application::getById()->country_id ?>" type="hidden" />
			<div class="error old-err">*</div>
			<div class="clear"></div>
		</div>
		<? foreach($this->regions as $region => $cities): ?>
		<fieldset class="region-cities">
			<legend><?= $region ?></legend>
			<ul>
				<? foreach($cities as $city): ?>
				<li>
					<label><input type="radio" name="cities" value="<?= $city->id ?>" <?= ($this->data['city_id'] && $this->data['city_id'] == $city->id) ? 'checked="checked"' : '' ?> /><?= $city->title ?></label>
				</li>
				<div class="clear"></div>
				<? endforeach; ?>
			</ul>
		</fieldset>
		<? endforeach; ?>
		<input type="hidden" name="city_id" value="<?= $this->data['city_id'] ?>"/>
		<?/*<table>
			<tr>
				<td>
					<select id="cities" multiple="multiple" style="width: 200px; background: none; border: 1px solid #ccc; height: auto;" size="10">
					<? foreach ( $this->cities as $city ): ?>
						<option value="<?= $city->id ?>"><?= $city->title ?></option>		
					<? endforeach; ?>
					</select>
				</td>
				<td>
					<input type="button" value="&gt;&gt;" id="add-city" /><br/>
					<input type="button" value="&lt;&lt;" id="remove-city" />
				</td>
				<td>
					<select id="selected" multiple="multiple" style="width: 200px; background: none; margin-left: 5px;" size="10">
						<? foreach( $this->cities as $city ): ?>
							<? $chk = false; foreach ( $this->data['cities'] as $_city ) { if ( $_city['city_id'] == $city->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
							<option<?= $city->id == $this->data['city_id'] ? ' class="base-city"' : '' ?> value="<?= $city->id ?>"><?= $city->title ?></option>
						<? endforeach; ?>
					</select>
					<input type="hidden" name="city_id" value="<?= $this->data['city_id'] ?>" />
					<div id="selected-hidden" style="display: none">
					<? foreach ( $this->data['cities'] as $city ): ?>
						<input type="hidden" name="cities[]" value="<?= $city['city_id'] ?>" />
					<? endforeach ?>
					</div>
				</td>
			</tr>
		</table>

		<script type="text/javascript">
			showcityzones = 0;
			var loadCityzones = function() {
				var cities = $('selected-hidden').getElements('input');
				var ajax_cities = '';
				if ( cities.length ) {
					cities.each(function(it){
						ajax_cities += ',' + it.get('value');
					});
				}

				new Request({
					url: '/<?= Cubix_I18n::getLang() ?>/private-v2/profile/get-cityzones?ajax_cities=' + ajax_cities,
					onSuccess: function (data) {
						data = JSON.decode(data);

						if ( ! data.length ) {

                            showcityzones = 0;
							$('cityzones_wrp').setStyle('display', 'none');
							if ( $defined($('selected-z')) ) {
								$('selected-z').empty();
							}
							if ( $defined($('selected-hidden-z')) ) {
								$('selected-hidden-z').empty();
							}
							
							return;
						}

						$('cityzones').empty();
						data.each(function(it){
							new Element('option', {
								value: it.id,
								html: '[' + it.city_title + ']' + ' ' + it.title
							}).inject($('cityzones'));
						});

						var selected_zones = $('selected-hidden-z').getElements('input');
						selected_zones.each(function(it){
							var found = false;

							data.each(function(all_z){								
								if ( all_z.id == it.get('value') ) {
									found = true;
								}
							});
							
							if ( ! found ) {
								it.destroy();
								
								$('selected-z').getElement('option[value=' + it.get('value') + ']').destroy();
							}
						});

                        showcityzones = 1;

                        if(incallcheckbox == 1){
                            $('cityzones_wrp').setStyle('display', 'block');
                        }else{
                            if ( $defined($('selected-z')) ) {
                                $('selected-z').empty();
                            }
                            if ( $defined($('selected-hidden-z')) ) {
                                $('selected-hidden-z').empty();
                            }
                            $('cityzones_wrp').setStyle('display','none');
                            
                        }

						//$('cityzones_wrp').setStyle('display', 'block');
					}
				}).send();
			};

			var max_cities = <?= Cubix_Application::getById()->max_working_cities ?>;
			var cities_remain = max_cities - <?= count($this->data['cities']) ?>;
			var initCityPicker = function () {
				var els = {
					add: $('add-city'),
					remove: $('remove-city'),
					city_id: $$('input[name=city_id]')[0],
					cities: $('cities'),
					selected: $('selected'),
					hidden: $('selected-hidden')
				};

				var updateRemainingCities = function () {
					cities_remain = max_cities - els.selected.getElements('option').length;
					$('cities-remain').set('html', cities_remain);
				};

				els.add.addEvent('click', function() {
					if ( cities_remain == 0 ) {
						alert('<?= __('pv2_cities_limit_exceeded') ?>');
						return;
					}

//                    selected-z

					var selected = els.cities.getSelected(), in_list = false;

					if ( selected.length == 0 ) {
						return;
					}
					selected = selected[0];
					
					els.selected.getElements('option').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							in_list = true;
						}
					});

					if ( in_list ) return;

					var base = false;
					
					if ( els.selected.getElements('option').length == 0 ) {
						base = true;
						els.city_id.set('value', selected.get('value'));
					}

					new Element('input', {
						type: 'hidden',
						name: 'cities[]',
						value: selected.get('value'),
						'class': 'hidden'
					}).inject(els.hidden);

					new Element('option', {
						'class': base ? 'base-city' : '',
						value: selected.get('value'),
						html: selected.get('html')
					}).inject(els.selected);

					updateRemainingCities();
					loadCityzones();
				});

				els.remove.addEvent('click', function () {
					var selected = els.selected.getSelected();

					if ( ! selected.length ) {
						return;
					}

					selected = selected[0];

					els.hidden.getElements('input').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							it.destroy();
						}
					});

					selected.destroy();
					updateRemainingCities();
					loadCityzones();
				});

				els.selected.addEvent('dblclick', function () {
					els.selected.getElements('option').each(function (it) {
						it.set('class', '');
					});
					this.getSelected().set('class', 'base-city');
					els.city_id.set('value', this.getSelected().get('value'));
				});
			};

			initCityPicker();
		</script>

		<p class="attention" style="margin: 5px 0 10px 0"><?= __('pv2_note_max_cities', array('CITIES_COUNT' => Cubix_Application::getById()->max_working_cities)) ?></p>
		<p style="margin: 0 0 10px 0" class="attention"><?= __('pv2_remaining_cities', array('count' => Cubix_Application::getById()->max_working_cities - count($this->data['cities']))) ?></p>
		

		<script type="text/javascript">
            
			var initCityzonePicker = function () {
				var els = {
					add: $('add-cityzone'),
					remove: $('remove-cityzone'),
	
					cities: $('cityzones'),
					selected: $('selected-z'),
					hidden: $('selected-hidden-z')
				};
				
				els.add.addEvent('click', function() {
					var selected = els.cities.getSelected(), in_list = false;

                    if($('onlyOneMessage')){
                        $('onlyOneMessage').destroy();
                    }

					if ( selected.length == 0 ) {
						return;
					}
                    

                    if(els.selected.getElements('option').length > 0){
                         var onlyOneMessage = new Element('div', {id: 'onlyOneMessage', 'class': 'red'});//red
                         onlyOneMessage.appendText('Only 1 Cityzone can be added!');
                         onlyOneMessage.setStyle('color','#FF0000');
                         onlyOneMessage.inject($('cityzones_wrp'),'top');
                         return;
                    }

					selected = selected[0];

					els.selected.getElements('option').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							in_list = true;
						}
					});

					if ( in_list ) return;

					var base = false;

					if ( els.selected.getElements('option').length == 0 ) {
						base = true;
						//els.city_id.set('value', selected.get('value'));
					}
                    

					new Element('input', {
						type: 'hidden',
						name: 'cityzones[]',
						value: selected.get('value'),
						'class': 'hidden'
					}).inject(els.hidden);

					new Element('option', {
						'class': '',
						value: selected.get('value'),
						html: selected.get('html')
					}).inject(els.selected);
				});

				els.remove.addEvent('click', function () {
					var selected = els.selected.getSelected();

                    if($('onlyOneMessage')){
                        $('onlyOneMessage').destroy();
                    }

					if ( ! selected.length ) {
						return;
					}

					selected = selected[0];

					els.hidden.getElements('input').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							it.destroy();
						}
					});

					selected.destroy();
				});
			};
			window.addEvent('domready', function(){
				initCityzonePicker();
			});
			
		</script>
        
		<div id="cityzones_wrp" <?= ( ! count($this->all_cityzones) || !$this->data['incall_type'] ) ? 'style="display: none;"' : '' ?>>
			<p style="margin: 5px 0 5px 0; font-weight: bold; font-size: 14px;">Select your cityzone</p>
			<table>
				<tr>
					<td>
						<select id="cityzones" multiple="multiple" style="width: 200px; background: none" size="5">
						<? foreach ( $this->all_cityzones as $ctz ): ?>
							<option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
						<? endforeach; ?>
						</select>
					</td>
					<td>
						<input type="button" value="&gt;&gt;" id="add-cityzone" /><br/>
						<input type="button" value="&lt;&lt;" id="remove-cityzone" />
					</td>
					<td>
						<select id="selected-z" multiple="multiple" style="width: 200px; background: none; margin-left: 5px; " size="5">
							<? foreach( $this->all_cityzones as $ctz ): ?>
								<? $chk = false; foreach ( $this->data['cityzones'] as $_zone ) { if ( $_zone['city_zone_id'] == $ctz->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
								<option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
							<? endforeach; ?>
						</select>

						<div id="selected-hidden-z" style="display: none">
						<? foreach ( $this->data['cityzones'] as $zone ): ?>
							<? if ( $zone['city_zone_id'] != 0): ?>
							<input type="hidden" class="hidden" name="cityzones[]" value="<?= $zone['city_zone_id'] ?>" />
							<? endif; ?>
						<? endforeach ?>
						</div>
					</td>
				</tr>
			</table>
			
		</div>*/?>
		<div class="clear"></div>
	</div>
</fieldset>

<? /* ----------Working-cities-end--------- */ ?>

<? /* ---------------------------Prices------------------------------ */ ?>
<? $time_units = array(1 => __('minutes'), 2 => __('hours'), 3 => __('days')) ?>
<fieldset class="vindent">
	<legend><?= __('pv2_section_rates') ?></legend>

	<? if( ! is_null($this->escort->id) ): ?>
		<? $hh_status = Cubix_Api::getInstance()->call('getHappyHourStatus', array($this->escort->id)); ?>
		<? if ( $hh_status == Model_EscortsV2::HH_STATUS_ACTIVE ): ?>
			<p class="hh_err"><?= __('hh_you_have_active_hh') ?></p>
		<? endif; ?>
	<? endif; ?>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body" style="padding: 20px 0 0 0">
		<fieldset class="rates" style="margin-right: 15px">
			<legend><?= __('pv2_section_incall_rates') ?></legend>
			<div class="body">
				<table>
					<thead>
						<tr>
							<th><?= __('pv2_label_time') ?></th>
							<th><?= __('pv2_label_unit') ?></th>
							<th><?= __('pv2_label_amount') ?></th>
							<th><?= __('pv2_label_currency') ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								<input type="text" class="txt" value="" size="7" />
							</td>
							<td>
								<select>
									<? foreach ( $time_units as $unit => $title ): ?>
									<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								</select>
							</td>
							<td>
								<input type="text" class="txt" value="" size="7" />
							</td>
							<td class="currency">
								<span>EUR</span>
							</td>
							<td>
								<div class="btn-add"></div>
							</td>
						</tr>
					</tbody>
				</table>

				<div class="quick-options">
					<strong><?= __('pv2_label_quick_options') ?></strong>
					<ul>
						<li>
							<label for="incall-additional-hour"><?= __('pv2_label_any_additional_hour') ?></label>
							<input id="incall-additional-hour" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="incall-overnight"><?= __('pv2_label_overnight') ?></label>
							<input id="incall-overnight" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="incall-dinner-date"><?= __('pv2_label_dinner_date') ?></label>
							<input id="incall-dinner-date" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-weekend"><?= __('pv2_label_weekend') ?></label>
							<input id="outcall-weekend" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
					</ul>
				</div>
			</div>
		</fieldset>
		<fieldset class="rates">
			<legend><?= __('pv2_section_outcall_rates') ?></legend>
			<div class="body">
				<table>
					<thead>
						<tr>
							<th><?= __('pv2_label_time') ?></th>
							<th><?= __('pv2_label_unit') ?></th>
							<th><?= __('pv2_label_amount') ?></th>
							<th><?= __('pv2_label_currency') ?></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								<input type="text" class="txt" value="" size="7" />
							</td>
							<td>
								<select>
									<? foreach ( $time_units as $unit => $title ): ?>
									<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								</select>
							</td>
							<td>
								<input type="text" class="txt" value="" size="7" />
							</td>
							<td class="currency">
								<span>EUR</span>
							</td>
							<td>
								<div class="btn-add"></div>
							</td>
						</tr>
					</tbody>
				</table>

				<div class="quick-options">
					<strong><?= __('pv2_label_quick_options') ?></strong>
					<ul>
						<li>
							<label for="outcall-additional-hour"><?= __('pv2_label_any_additional_hour') ?></label>
							<input id="outcall-additional-hour" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-overnight"><?= __('pv2_label_overnight') ?></label>
							<input id="outcall-overnight" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-dinner-date"><?= __('pv2_label_dinner_date') ?></label>
							<input id="outcall-dinner-date" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-weekend"><?= __('pv2_label_weekend') ?></label>
							<input id="outcall-weekend" type="text" class="txt" value="" size="7" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
					</ul>
				</div>
			</div>
		</fieldset>
	</div>

	<div class="clear"></div>

	<div class="defined-rates" style="margin-right: 15px">
		<strong><?= __('pv2_label_your_incall_rates') ?></strong>
		<ul></ul>
		<p><?= __('pv2_label_no_incall_rates') ?></p>
	</div>
	<div class="defined-rates">
		<strong><?= __('pv2_label_your_outcall_rates') ?></strong>
		<ul></ul>
		<p><?= __('pv2_label_no_outcall_rates') ?></p>
	</div>
</fieldset>

<script type="text/javascript" src="<?= _st('private-rates.js') ?>"></script>
<script type="text/javascript">
	var currencies = <?= json_encode(Model_Currencies::getAllAssoc()); ?>, c = [];
for ( var i in currencies ) {
	c.include({ value: i, label: currencies[i] });
}

$$('.rates .currency').each(function (el) {
	el.empty();
	new Controls.SelectBox({
		values: c,
		selected: <?= Cubix_Application::getById()->currency_id ?>
	}).getElement().inject(el);
});

RatesEditor.Units = <?= json_encode($time_units) ?>;
RatesEditor.Currencies = currencies;
var incallEditor = new RatesEditor.Incall($$('.rates')[0], $$('.defined-rates ul')[0]);
var outcallEditor = new RatesEditor.Outcall($$('.rates')[1], $$('.defined-rates ul')[1]);

incallEditor.load(<?= json_encode($this->data['rates']['incall']) ?>);
outcallEditor.load(<?= json_encode($this->data['rates']['outcall']) ?>);
</script>
<? /* --------------------------Prices-end---------------------------- */ ?>

<? /* ---------------------------Working-times-------------------------- */ ?>
<fieldset class="vindent">
	<legend><?= __('pv2_section_working_times') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner long work-times">
			<label for="available-24-7" class="option"><input id="available-24-7" type="checkbox" name="available_24_7" value="1"<?= $this->data['available_24_7'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_i_am_available_24_7') ?></span></label>
			<div id="n-e"><label for="night_escort" class="option"><input id="night_escort" type="checkbox" name="night_escort" value="1"<?= $this->data['night_escort'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_i_am_night_escort') ?></span></label></div>
			<span class="tip" title="<?= __('night_escort_help') ?>"></span>
			<div class="btn-work-days-all btn-work-days-all-<?= $this->lang() ?> top_margin"></div>
		</div>
		<div class="clear"></div>
		<div class="gray">
			<?= __('pv2_label_or') ?>
		</div>
		<div><span class="strong"><?= __('pv2_label_working_schedule') ?>:</span></div>
		<table class="work-times" id="times">
			<thead>
				<tr>
					<th><input id="selectall" type="checkbox" value="" /></th>
					<th><label for="selectall"><?= __('pv2_label_select_all') ?></label></th>
					<th class="spec"><span><?= __('pv2_label_from') ?></span></th>
					<th class="spec"><span><?= __('pv2_label_to') ?></span></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<? for ($j = 1; $j <= 7; $j++): ?>
				<? $chk = false; if ( count($this->data['times']) ) { foreach ( $this->data['times'] as $time ) { if ( $time['day_index'] == $j ) { $chk = $time; break; } } } ?>
				<tr class="work-times-disabled">
					<td><input id="day-<?= $j ?>" type="checkbox" name="day_index[<?= $j ?>]" value="1"<?= $chk ? ' checked="checked"' : '' ?> /></td>
					<td>
						<label for="day-<?= $j ?>">
							<?
								$day = date('l', mktime(null, null, null, null, $j - 1));
								$id = $this->getWeekDay($j, $this->lang());//'pv2_weekday_' . strtolower($day);
							?>
							<?= $id ?>
						</label>
					</td>
					<td>
						<select name="time_from[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_from'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>hrs</span>
						<select name="time_from_m[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 60; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_from_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>min</span>
					</td>
					<td>
						<select name="time_to[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_to'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>hrs</span>
						<select name="time_to_m[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 60; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_to_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>min</span>
					</td>
					<td>
						<label>
							<input type="checkbox" name="night_escorts[]" id="night_escort_<?=$j ?>" value="<?=$j ?>"  <?=!$this->data['night_escort'] && $chk && $time['night_escorts']==1 ? 'checked="checked" ' : '  '; ?> class="night_escort" <?= $this->data['night_escort'] || !$chk ? 'disabled="disabled"' : "" ?>   />
							<span>Night escort</span>
						</label>
					</td>
				</tr>
				<? endfor ?>
			</tbody>
		</table>

	</div>
</fieldset>

<script type="text/javascript">
	$('available-24-7').addEvent('change', function () {
		this.blur();
		var disable = ! this.get('checked') ? null : 'disabled';
		var enable = ! disable;

		$('times')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled').getElements('input, select').set('disabled', disable);
		$('night_escort').set('disabled', enable);
		$('n-e')[(enable ? 'add' : 'remove') + 'Class']('work-times-disabled').getElements('input, select').set('disabled', enable);
		
		if ( ! disable ) {
			$$('.work-times tbody input').fireEvent('change');
		}
	}).addEvent('click', function () { this.blur(); });

	$$('.work-times tbody input[name^=day_]').addEvent('change', function () {
		this.blur();
		var disable = this.get('checked') ? null : 'disabled';
		var tr = this.getParent('tr')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled');
		tr.getElements('select').set('disabled', disable);
		this.getParent('tr').getElement('input.night_escort').set('disabled', disable);
	}).addEvent('click', function () { this.blur(); });

	$('selectall').addEvent('change', function () {
		this.blur();
		var flag = this.get('checked') ? true : false;
		$$('.work-times tbody input').set('checked', flag ? 'checked' : '').fireEvent('change');
	}).addEvent('click', function () { this.blur(); });

	$$('.btn-work-days-all').addEvent('click', function () {
		var selects = $('times').getElements('select');

		$$('.work-times tbody input').each(function (el) {
			if ( el.get('checked') ) {
				el.getParent('tr').getElements('select').each(function (sel, i) {
					sel.set('value', selects[i].getSelected()[0].get('value')).getParent('td').highlight();
				});
			}
		});
	});

	$('available-24-7').fireEvent('change');
</script>

<? /* -------------------------Working-times-end------------------------ */ ?>

<? /* ---------------Services-------------------- */ ?>
<?php
if(!function_exists('render_lng_picker')){
    function render_lng_picker() {
        $html = '<div class="lng-picker">';

        foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $id => $title ) {
            $html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
        }

        $html .= '</div>';

        return $html;
    }
}
?>

<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

<div class="clear"></div>

<? function ___does_provide_service($svcs, $svc_id) {
	if ( count($svcs) ) {
		foreach ( $svcs as $svc ) {
			if ( $svc['service_id'] == $svc_id ) return true;
		}
	}
	return false;
}
function ___get_service_price($svcs, $svc_id) {
	if ( count($svcs) ) {
		foreach ( $svcs as $svc ) {
			if ( $svc['service_id'] == $svc_id ) return $svc['price'];
		}
	}

	return '';
}
function ___get_service_currency($svcs, $svc_id) {
	if ( count($svcs) ) {
		foreach ( $svcs as $svc ) {
			if ( $svc['service_id'] == $svc_id ) {
				if (intval($svc['currency_id'])) {
					return intval($svc['currency_id']);
				}
			}
		}
	}

	return Cubix_Application::getById()->currency_id;
}?>

<fieldset class="vindent">
	<legend><?= __('pv2_section_provided_services') ?></legend>
	<div class="body">
		<div class="services-container services-container-common">
			<div class="services-header" rel="opened"><span><?= __('pv2_title_most_common_services') ?></span><span class="surcharge">(<?= __('pv2_label_surcharge') ?>)</span></div>
			<div class="clear"></div>
			<table class="services">
				<tr>
					<th colspan="2"></th>
					<th class="surcharge"></th>
				</tr>
				<tbody>
				<? foreach ( $this->defines['services']['common'] as $id => $svc ): ?>
				<tr>
					<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
					<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
					<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
				</tr>
				<? endforeach ?>
				</tbody>
			</table>
		</div>
		<div class="services-container services-container-extra">
			<div class="services-header" rel="opened"><span><?= __('pv2_title_extra_services') ?></span><span class="surcharge">(<?= __('pv2_label_surcharge') ?>)</span></div>
			<div class="clear"></div>
			<table class="services">
				<th colspan="2"></th>
					<th class="surcharge"></th>
				<tbody>
				<? foreach ( $this->defines['services']['extra'] as $id => $svc ): ?>
				<tr>
					<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
					<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
					<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
				</tr>
				<? endforeach ?>
				</tbody>
			</table>
		</div>
		<div class="services-container services-container-fetish">
			<div class="services-header" rel="opened"><span><?=  __('pv2_title_fetish_bizzare_services') ?></span><span class="surcharge">(<?= __('pv2_label_surcharge') ?>)</span></div>
			<div class="clear"></div>
			<table class="services">
				<th colspan="2"></th>
					<th class="surcharge"></th>
				<tbody>
				<? foreach ( $this->defines['services']['fetish'] as $id => $svc ): ?>
				<tr>
					<td class="chk"><input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> /></td>
					<td><label for="svc-<?= $id ?>"><?= $svc ?></label></td>
					<td><input style="margin-left: 5px" type="text" class="txt" name="service_prices[<?= $id ?>]" value="<?= ___get_service_price($this->data['services'], $id) ?>" size="1" disabled="disabled" /><span><?= $id ?>:<?= ___get_service_currency($this->data['services'], $id) ?></span></td>
				</tr>
				<? endforeach ?>
				</tbody>
			</table>
		</div>
		<div class="inner">
			<?= render_lng_picker() ?>
			<div class="clear"></div>
		</div>

		<div class="inner">
		<? foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $lng => $title ): ?>
			<textarea class="additional-service-field" id="additional-service-<?= $lng ?>" name="additional_service_<?= $lng ?>" cols="80" rows="10" style="display: none"><?= $this->data['additional_service_' . $lng] ?></textarea>
		<? endforeach ?>
		</div>
	</div>
</fieldset>

<script type="text/javascript">
	
	var lngPicker = new Controls.LngPicker($$('.lng-picker')[1], {
		onChange: function (el) {
			var lng = el.get('cx:lng');
			$$('.additional-service-field').setStyle('display', 'none');
			$('additional-service-' + lng).setStyle('display', 'block');
		}
	});

</script>

<script type="text/javascript">
	var currencies = <?= json_encode(Model_Currencies::getAllAssoc()); ?>, c = [];
	for ( var i in currencies ) {
		c.include({ value: i, label: currencies[i] });
	}

	$$('.services input[type=text]').each(function (el) {
		var _el = el.getNext(), data = _el.get('text').split(':'), id = data[0].toInt(), cid = data[1].toInt();
		var select = new Controls.SelectBox({
			values: c,
			name: 'service_currencies[' + id + ']',
			disabled: el.get('disabled'),
			selected: cid
		});
		el.getParent('tr').select = select;
		select.getElement().replaces(_el, 'after')
	});

	$$('.services input[type=checkbox]').addEvent('change', function () {
		this.blur();
		var chk = this.getParent('tr').getElement('input.txt');
		//console.log(this.getParent('tr').select);
		if ( this.get('checked') ) {
			chk.set('disabled', '');//.focus();
			this.getParent('tr').select.enable();
		}
		else {
			chk.set('disabled', 'disabled');
			this.getParent('tr').select.disable();
		}
	}).fireEvent('change');

	$$('.services input.txt').each(function (input) { input.blur(); });
</script>
<? /* ------------------Services-end----------------------- */ ?>

<? /* ---------------Contact-info-simple----------------- */ ?>
<? $api_conf = Zend_Registry::get('api_config'); ?>
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=<?= $api_conf['googleMaps'] ?>&sensor=false"></script>

<style type="text/css">
#gMap-wrapper {
	margin: 30px 45px 10px 45px;
	border: 1px solid #333;
}
#gMap-wrapper div.options {
	padding: 15px 20px;
	background: #333;
	float: none;
}
#gMap-wrapper div.options label {
	color: #fff;
	font-weight: bold;
	margin-right: 60px;
	vertical-align: middle;
}
#gMap-wrapper div.options label span {
	vertical-align: middle;
}
#gMap-wrapper div.options label input {
	vertical-align: middle;
}
#gMap {
	height: 350px;
}
</style>

<fieldset class="vindent">
	<legend><?= __('pv2_section_contact_information') ?></legend>
	<div class="body">
		
		<fieldset>
			<legend><?= __('pv2_section_contact') ?></legend>

			<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

			<? if(isset($this->phone_prefix_id) && $this->phone_prefix_id != 1 ): ?>
				<div class="inner long">
					<label for="phone_prefix"><?= __('country_call_code') ?><b>*</b></label>
						<? //$countries = new Model_Countries();?>
						<select name="phone_prefix" style="width:228px">
							<option value ="">-------</option>
							<? foreach($this->countries as $country):?>
							<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
							<? endforeach; ?>
						</select>
					<div class="clear"></div>
				</div>
			<? endif; ?>
			<div class="inner long" style="margin-top: 10px;">
				<label for="phone"><?= __('pv2_label_phone_number') ?> <b>*</b></label>
				<input id="phone" type="text" class="txt" name="phone_number" value="<?= ($this->data['phone_number']) ? $this->data['phone_number'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['phone_number']) && $this->mode == 'create' ) ? $this->user->agency_data['phone_number'] : '' ) ?>" size="40" />
				<div class="clear"></div>
			</div>

			<div class="inner long vindent">
				<input type="hidden" value="1" name="disable_phone_prefix" />
				<label><?= __('pv2_label_phone_instructions') ?></label>
				<dl class="options">
					<? foreach ( $this->defines['phone_instructions'] as $id => $label ): ?>
					<dt>
						<label for="phone-instr-<?= $id ?>"><?= $label ?></label><br/>
						<input id="phone-instr-<?= $id ?>" type="radio" name="phone_instr" value="<?= $id ?>"<?= $this->data['phone_instr'] == $id ? ' checked="checked"' : '' ?> />
					</dt>
					<? endforeach ?>
					<dt>
						<label for="no-withheld"><?= __('pv2_label_no_withheld_numbers') ?></label><br/>
						<input id="no-withheld" type="checkbox" name="phone_instr_no_withheld" value="1"<?= $this->data['phone_instr_no_withheld'] ? ' checked="checked"' : '' ?> />
					</dt>

					<dt style="text-align: left">
						<label for="instr-other"><?= __('pv2_label_phone_instr_other') ?></label><br/>
						<input id="instr-other" type="text" class="txt" name="phone_instr_other" value="<?= $this->data['phone_instr_other'] ?>" />
					</dt>
				</dl>

				<div class="clear"></div>
			</div>			
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_web') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="email"><?= __('pv2_label_email_address') ?></label>
					<input id="email" type="text" class="txt" name="email" value="<?= ($this->data['email']) ? $this->data['email'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['email']) && $this->mode == 'create' ) ? $this->user->agency_data['email'] : '' ) ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="website"><?= __('pv2_label_website_url') ?></label>
					<input id="website" type="text" class="txt" name="website" value="<?= ($this->data['website']) ? $this->data['website'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['website']) && $this->mode == 'create' ) ? $this->user->agency_data['website'] : '' ) ?>" size="40" />
					<div class="clear"></div>
				</div>
				<?/*<div class="inner long" style="margin-left:160px">
					<a href="http://www.escortbook.com" target="_blank"><img src="<?= _st('eb_button_' . $this->lang() . '.png') ?>" /></a>
					<div class="clear"></div>
				</div>*/?>
			</div>
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_address_details') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="club-name"><?= __('pv2_label_club_name') ?></label>
					<input id="club-name" type="text" class="txt" name="club_name" value="<?= ($this->data['club_name']) ? $this->data['club_name'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['name']) && $this->mode == 'create' ) ? $this->user->agency_data['name'] : '' ) ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<? 
						$street = '';
						$street_no = '';
						
						if ( $this->user->user_type == 'agency' && isset($this->user->agency_data['address']) && $this->mode == 'create' ) {
							if ( strlen($this->user->agency_data['address']) ) {
								$data = explode(' ', $this->user->agency_data['address']);
								
								$street_no = ( isset($data[count($data) - 1]) ) ? $data[count($data) - 1] : '';
								unset($data[count($data) - 1]);
								
								$street = implode(' ', $data);
								
								if ( ! $this->data['street'] ) {
									$this->data['street'] = $street;
								}
								
								if ( ! $this->data['street_no'] ) {
									$this->data['street_no'] = $street_no;
								}
							}
						}
					?>
					<div class="fleft">
						<label for="street"><?= __('pv2_label_street_n') ?></label>
						<input id="street" type="text" class="txt" name="street" value="<?= $this->data['street'] ?>" size="40" onblur="DisplayAddress()" />
						<input style="margin-left: 10px" id="street_no" type="text" class="txt" name="street_no" value="<?= $this->data['street_no'] ?>" size="5" onblur="DisplayAddress()" />
					</div>
					<div style="color: red; margin-left: 10px; float: left; width: 255px;"><?= __('address_warning_text') ?></div>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<div class="fleft">
						<label for="address_additional_info"><?= __('address_additional_info') ?></label>
						<input id="address_additional_info" type="text" class="txt" name="address_additional_info" value="<?= $this->data['address_additional_info'] ?>" size="40" />
					</div>
					<div style="color: red; margin-left: 10px; float: left; width: 300px;"><?= __('address_info_text') ?></div>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="fake_zip"><?= __('pv2_label_zip_code') ?></label>
					<input id="fake_zip" type="text" class="txt" name="fake_zip" value="<?= ($this->data['fake_zip']) ? $this->data['fake_zip'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['zip']) && $this->mode == 'create' ) ? $this->user->agency_data['zip'] : '' ) ?>" size="20" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<? $fake_city_id = ($this->data['fake_city_id']) ? $this->data['fake_city_id'] : ( ($this->user->user_type == 'agency' && isset($this->user->agency_data['fake_city_id']) && $this->mode == 'create' ) ? $this->user->agency_data['fake_city_id'] : '' ) ?>
					<label for="fake_city_id"><?= __('pv2_label_city') ?></label>
					<select name="fake_city_id" id="fake_city_id" onchange="DisplayAddress()">
						<? $f_cities = Model_Statistics::getFakeCities(); ?>
						<option value="">---</option>
						<? foreach($f_cities as $city):?>
						<option value="<?= $city->id ?>" <?= ($fake_city_id == $city->id) ? 'selected="selected"' : '' ?>><?= $city->title ?><?= ($city->zip) ? ', ZIP ' . $city->zip : '' ?></option>
						<? endforeach; ?>
					</select>
					<div class="clear"></div>
				</div>
				
				

				<?
		/*			$cities_tab = $this->profile->getWorkingCities();

                   
				if ( $cities_tab['incall_type'] ): ?>
				<div class="inner long">
					<label><?= __('pv2_label_city') ?></label>
					<div id="city" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= Cubix_Geography_Cities::getTitleById($cities_tab['city_id']) ?></span><br/>
						<a href="#" onclick="return Cities.change(this)">change</a>
					</div>
					<span class="tip" title="This is the city which you already entered when you added your incall location."></span>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label><?= __('pv2_label_zip_code') ?></label>
					<div id="zip" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= $cities_tab['zip'] ?></span><br/>
						<a href="#" onclick="return ZipCode.change(this)">change</a>
					</div>
					<span class="tip" title="This is the ZIP code you already entered when you added your incall working location."></span>
					<div class="clear"></div>
				</div>
				<? endif */ ?>

			</div>
		</fieldset>

		<div id="gMap-wrapper">
			<div class="options">
				<label for="gmaps-show">
					<input onclick="showHide(this)" id="gmaps-show" type="checkbox" name="display_address" value="1"<?= $this->data['display_address'] ? ' checked="checked"' : '' ?> />
					<span><?= $this->t('display_address_on_website') ?></span>
				</label>
			</div>
			<div style="display: <?= $this->data['display_address'] ? 'block' : 'none' ?>">
				<div id="gMap">

				</div>
			</div>
		</div>
	</div>
</fieldset>

<script type="text/javascript">
	var map, geocoder, gmap_ready = false, current_marker;

	var googleMapsInit = function(containerId) {
		geocoder = new google.maps.Geocoder();
		var myOptions = {
			zoom: 15,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		}
		
		map = new google.maps.Map(document.getElementById(containerId), myOptions);

		gmap_ready = true;		
	};

	var googleMapsShowAddress = function (address) {
		if ( ! geocoder ) return false;

		geocoder.geocode(
			{'address': address},
			function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					if ( current_marker ) current_marker.remove();
					
					map.setCenter(results[0].geometry.location);
					var marker = new google.maps.Marker({
						map: map,
						position: results[0].geometry.location
					});
					
					if ( $('logocontrol') ) $('logocontrol').destroy();
					if ( $$('.terms-of-use-link').length ) $$('.terms-of-use-link').getParent().destroy();
				}
				else {
					alert(address + " <?= $this->t('not_found') ?>");
					$('#gMap').html(address + ' not found').css('height', '30px').css('padding-top','18px');
				}
			}
		);
	};

	var googleMapsShowHide = function (flag) {
		$('gMap').getParent().setStyle('display', flag ? 'block' : 'none');
	};

	var showHide = function (chk) {
		chk = $(chk);
		
		if ( chk.get('checked') ) {
			googleMapsShowHide(true);
			if ( ! gmap_ready ) { googleMapsInit('gMap'); DisplayAddress(); }
		}
		else {
			googleMapsShowHide(false);
		}
	};

	window.addEvent('domready', function () {
		if ( $('gmaps-show').get('checked') ) {
			googleMapsInit('gMap');
            
			DisplayAddress();
		}
	});

	var Cities = {
		el: null,
		initial: null,
		target: null,
		city: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var select = this.city = new Element('select', {}).inject(t);

        
//           alert($('country').getSelected().get('value'));
            caountryid = $('country').getSelected().get('value');

			fetchCities(select, caountryid);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: Cities.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: Cities.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'city');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-city',
				data: { city_id: this.city.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.city);
					}

					DisplayAddress();
					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var fetchCities = function (select, country_id) {
		select.set('disabled', 'disabled');
		new Request({
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities',
			data: { country_id: country_id },
			onSuccess: function (resp) {
				resp = JSON.decode(resp);

				resp.data.each(function (c) {
					new Element('option', {
						html: c.title + '&nbsp;&nbsp;',
						value: c.id,
						selected:  null
					}).inject(select);
				});
				select.set('disabled', '');
			}
		}).send();
	};

	var ZipCode = {
		el: null,
		initial: null,
		target: null,
		zip: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var input = this.zip = new Element('input', { type: 'text', 'class': 'txt', size: 6, value: this.initial.getElement('strong').get('html') }).inject(t);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: ZipCode.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: ZipCode.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'zip');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-zip',
				data: { zip: this.zip.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.zip);
					}

					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var country = '<?= Cubix_Geography_Countries::getTitleById($cities_tab['country_id']) ?>';

	var DisplayAddress = function () {
		var zp = $('fake_zip'), ct = $('fake_city_id'), street = $$('input[name=street]')[0], street_no = $$('input[name=street_no]')[0];
        zip = null;
        city = null;
        if($defined(zp)){
            if ( zp.get('value') ) {
                zip = zp.get('value');
            }
        }

        if($defined(ct)) {
			city = ct.getSelected().get('html');
        }

		var address = [zip, street.get('value'), street_no.get('value'), city, country].join(' ');

		googleMapsShowAddress(address);
	};
</script>
<? /* ------------------------Contact-inf-end---------------------- */ ?>

<? /*
<? if ( $this->mode != 'update' ): ?>
<!-------------------------------Gallery Block---------------------->
<style type="text/css">
	.files {position: relative;}

	.files input { margin: 5px 0; }
	.files span.err { color: red; padding-left: 10px; }
	.files .file input { float: left; padding: 3px;  }
	
	a.btn-add-file { float: left; display: block; height: 16px; width: 16px; margin-left: 180px; background: url('/img/add.png') no-repeat top left; margin-top: 10px; }
	.files .file a.btn-delete { float: left; display: block; height: 16px; width: 16px; margin-left: 5px; background: url('/img/delete.png') no-repeat top left; margin-top: 10px; }
	.files .upload-photo-text{float:left; line-height: 33px; padding-left: 15px}
	.err-list { margin-top: 10px; font-size: 15px; background: #fee; border: 1px solid #edd; padding: 6px 10px; line-height: 26px }
	.err-list.action {margin-left: 4px; margin-bottom: 5px}
	.err-title {font-weight: bold; padding-left: 20px; background: url('/img/internal/icon_error.png') no-repeat 0 50%;}
</style>


<input type="hidden" id="is_private" name="is_private" value="0"  />
<script type="text/javascript">
	window.addEvent('domready', function(){
		$$('a.btn-add-file').addEvent('click', function(e){
			e.stop();

			var count = $$('.files .file').length;
			
			var cont = $$('.files .clear')[$$('.files .clear').length - 2];

			var div = new Element('div', {
				'class': 'file'
			}).inject(cont, 'after');

			new Element('div', {
				'class': 'clear'
			}).inject(div, 'after');

			var input = new Element('input', {
				type: 'file',
				name: 'photo_' + (count + 1),
				size: 13
			}).inject(div);

			

			var a = new Element('a', {
				'class': 'btn-delete',
				href: '#'
			}).inject(input, 'after');

			initDeleteBtn(a);
		});
		
		var initDeleteBtn = function(btn) {
			btn.addEvent('click', function(e){
				e.stop();

				this.getParent('div').getNext('div').destroy();
				this.getParent('div').destroy();
			});
		};
		var inputWidth = $$('.btn-add-file')[0].getPrevious('div.file').getElement('input').getSize().x;
		var offset = 5;
		$$('.btn-add-file')[0].setStyle('margin-left', inputWidth + offset);
	})
</script>
<fieldset class="vindent">
	<legend><?= __('pv2_section_photos') ?></legend>
	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body" id="photos">
		<div class="container">
			<p><span class="strong"><?= __('pv2_text_public_photos', array('MIN_PHOTOS' => Cubix_Application::getById()->min_photos)) ?></span></p>

			<div class="photos public">
					<div class="files">
						<div class="upload-photo-text"><?= $this->t('max_photo_size') ?></div>
						<div class="clear"></div>
						<div class="file">
							<input type="file" name="photo_1" size="13" />
						</div>
						<div class="clear"></div>
						<div class="file">
							<input type="file" name="photo_2" size="13" />
						</div>
						<div class="clear"></div>
						<div class="file">
							<input type="file" name="photo_3" size="13" />
						</div>
						<div class="clear"></div>
						<a class="btn-add-file" href="#"></a>
						<div class="clear"></div>
						<br/>
					</div>
			</div><!-- photos -->
			<? if ( isset($this->uploadError) || count($this->uploadErrors)): ?>
			<div class="err-list">
			<div class="err-title"><?= __('sys_error_upload_img_occured') ?></div>
			<? if ( isset($this->uploadError) ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>
			<? if ( count($this->uploadErrors) ): ?>
				<? foreach ( $this->uploadErrors as $error ): ?>
					<div class="up-error"><?= $error ?></div>
				<? endforeach; ?>
			<? endif; ?>
			</div>
			<? endif; ?>
		</div><!-- container -->
	</div>
</fieldset>
<!-----------------------------Gallery block end----------------------> */?>
<? if ( $this->mode != 'update' ): ?>
	<? if ( isset($this->uploadError) || count($this->uploadErrors)): ?>
		<style type="text/css">
			.err-list { margin-top: 10px; font-size: 15px; background: #fee; border: 1px solid #edd; padding: 6px 10px; line-height: 26px }
			.err-list.action {margin-left: 4px; margin-bottom: 5px}
			.err-title {font-weight: bold; padding-left: 20px; background: url('/img/internal/icon_error.png') no-repeat 0 50%;}
		</style>
		<div class="err-list">
			<div class="err-title"><?= __('sys_error_upload_img_occured') ?></div>
			<? if ( isset($this->uploadError) ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>
			<? if ( count($this->uploadErrors) ): ?>
				<? foreach ( $this->uploadErrors as $error ): ?>
					<div class="up-error"><?= $error ?></div>
				<? endforeach; ?>
			<? endif; ?>
		</div>
	<? endif; ?>
	<iframe id="iframe-photo-upload" style="margin-top: 10px;" src="/gallery-create" frameborder="0" width="860"></iframe>
<? else: ?>
	<?= $this->render('profile/gallery.phtml') ?>
<? endif; ?>
